:root {
    --border-color: rgba(0,0,0,0.2);
    
    --bg: #fcfcfc;
    --color: #333;
    --buttons-fg: #4545;
    --view-header-bg: #eee;
    --view-header-fg: #333;
    --header-fg: #247dad;
    --header-text-shadow: 2px 2px #fff;
    --subheader-bg: rgba(0,0,0,0.05);
    --subheader-fg: rgba(0,0,0,0.5);
    --sidebar-bg: #f2f2f2;
    --sidebar-fg: #454545;
    --treeitem-selected-bg: #fcd7bd;
    --treeitem-hover-bg: rgb(0,0,0,0.1);
}
@media (prefers-color-scheme: dark) {
    :root {
        --color: #f3f3f3;
        --bg:#0d2538;
        --buttons-fg: #fff;
        --view-header-bg: #14161b;
        --view-header-fg: #eee;
        --header-fg: #e29d6f;
        --header-text-shadow: 1px 0 #000;
        --sidebar-bg: #0d2538;
        --sidebar-fg: #9BA4B1;
        --treeitem-selected-bg: #5294E2;
        --treeitem-selected-fg: #fcfcfc;
        --subheader-bg: rgba(255,255,255,0.1);
        --subheader-fg: rgba(255,255,255,0.5);
    }
}
body {
    font-size: 16px;
    font-family: sans-serif;
    color: var(--color);
    background: var(--bg);
}
img {
    display: block;
    margin: 0 auto 10px !important;
}
article {
    border-width: 0 0 1px;
    border-style: solid;
    border-color: var(--border-color);
    padding: 1.5rem 0 !important;
    margin: 0 !important;
}
.sidebar-button,
#view-list > tree-item > .title {
    color: var(--buttons-fg) !important
}

#feed-view-header {
    color: var(--view-header-fg) !important;
    background-color: var(--view-header-bg) !important;
}
.headlines-view article {
    padding: 0 !important;
}
.headline-header {
    border-width: 0;
}
.headline-header img {
    margin: 0 0.5rem 0 0 !important;
}
#feed-view-header {
    border-bottom: 1px solid var(--border-color) !important;
}
article > .full-container > .full-container-inner {
    border-width: 0 !important;
    padding: 0 !important;
    background: none;
}
.header {
    padding: 0;
    color: var(--header-fg);
}
.title-link {
    font-size: 1.4rem;
    font-stretch: condensed;
    font-family: inherit;
    color: inherit;
    text-shadow: var(--header-text-shadow);
}
.subheader {
    margin: 0.5rem 0 1rem;
    border: 1px solid var(--border-color);
    border-radius: 0.2rem;
    padding: 0.25rem 1rem;
    background: var(--subheader-bg);
    color: var(--subheader-fg);
}
.feed-name {
    font-weight: bold;
}
.content {
    font-size: inherit;
    text-align: left;
    padding: 0;
    color: var(--color);
}

#sidebar {
    background-color: var(--sidebar-bg) !important;
}

tree-folder {
    margin: 0!important;
}
tree-item > img {
    margin: 0 0.5rem 0 0 !important;
}
tree-item > .title,
tree-folder-header > .title,
tree-folder-footer > .title {
    color: var(--sidebar-fg) !important;
}
tree-item.selected,
tree-folder.selected > tree-folder-header {
    border-color: var(--border-color) !important;
    background: var(--treeitem-selected-bg) !important;
}
tree-item:hover:not(.selected), 
tree-folder:not(.selected) > tree-folder-header:hover {
    border-color: var(--treeitem-hover-bg) !important;
    background: var(--treeitem-hover-bg) !important;
}
tree-item.selected > .title,
tree-folder.selected > tree-folder-header > .title,
tree-folder.selected > tree-folder-footer.selected > .title,
.selected .unread-count {
    color: var(--treeitem-selected-fg) !important;
}
